Key Results
Set key result value items
Replaces all linked value items for a key result.
PATCH
/
v1
/
public
/
key-results
/
{id}
/
value-items
Set key result value items
curl --request PATCH \
--url https://api.agile-tools.io/v1/public/key-results/{id}/value-items \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
[
{
"id": "5f64ea14-7d4d-44d7-b8c8-8c04adf87e07"
}
]
'import requests
url = "https://api.agile-tools.io/v1/public/key-results/{id}/value-items"
payload = [{ "id": "5f64ea14-7d4d-44d7-b8c8-8c04adf87e07" }]
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{id: '5f64ea14-7d4d-44d7-b8c8-8c04adf87e07'}])
};
fetch('https://api.agile-tools.io/v1/public/key-results/{id}/value-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/key-results/{id}/value-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '5f64ea14-7d4d-44d7-b8c8-8c04adf87e07'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/key-results/{id}/value-items"
payload := strings.NewReader("[\n {\n \"id\": \"5f64ea14-7d4d-44d7-b8c8-8c04adf87e07\"\n }\n]")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.agile-tools.io/v1/public/key-results/{id}/value-items")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"5f64ea14-7d4d-44d7-b8c8-8c04adf87e07\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/key-results/{id}/value-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"5f64ea14-7d4d-44d7-b8c8-8c04adf87e07\"\n }\n]"
response = http.request(request)
puts response.read_body{
"meta": {
"requestId": "req_2f6db7d4",
"timestamp": "2026-01-15T10:20:30Z"
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Path Parameters
Pattern:
[^\s_]\S*Body
application/json
List of value item references to set.
Response
Value items updated
The response is of type object.
⌘I
Set key result value items
curl --request PATCH \
--url https://api.agile-tools.io/v1/public/key-results/{id}/value-items \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
[
{
"id": "5f64ea14-7d4d-44d7-b8c8-8c04adf87e07"
}
]
'import requests
url = "https://api.agile-tools.io/v1/public/key-results/{id}/value-items"
payload = [{ "id": "5f64ea14-7d4d-44d7-b8c8-8c04adf87e07" }]
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{id: '5f64ea14-7d4d-44d7-b8c8-8c04adf87e07'}])
};
fetch('https://api.agile-tools.io/v1/public/key-results/{id}/value-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/key-results/{id}/value-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '5f64ea14-7d4d-44d7-b8c8-8c04adf87e07'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/key-results/{id}/value-items"
payload := strings.NewReader("[\n {\n \"id\": \"5f64ea14-7d4d-44d7-b8c8-8c04adf87e07\"\n }\n]")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.agile-tools.io/v1/public/key-results/{id}/value-items")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"5f64ea14-7d4d-44d7-b8c8-8c04adf87e07\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/key-results/{id}/value-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"5f64ea14-7d4d-44d7-b8c8-8c04adf87e07\"\n }\n]"
response = http.request(request)
puts response.read_body{
"meta": {
"requestId": "req_2f6db7d4",
"timestamp": "2026-01-15T10:20:30Z"
}
}
